Bug 507060 - Review Request: perl-CGI-Application-Plugin-Session - Add CGI::Session support to CGI::Application
Review Request: perl-CGI-Application-Plugin-Session - Add CGI::Session suppor...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 07:38 EDT by Emmanuel Seyman
Modified: 2009-06-30 17:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.03-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:27:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-20 07:38:40 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-Session/perl-CGI-Application-Plugin-Session.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-Session/perl-CGI-Application-Plugin-Session-1.03-1.fc11.src.rpm
Description:
CGI::Application::Plugin::Session seamlessly adds session support to your
CGI::Application modules by providing a CGI::Session object that is
accessible from anywhere in the application.
Comment 1 Parag AN(पराग) 2009-06-22 01:45:19 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1428528
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fc1d6b39ed842369170a8752ee6b73d99d49a9fc  CGI-Application-Plugin-Session-1.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=14, Tests=128,  2 wallclock secs ( 0.10 usr  0.01 sys +  1.98 cusr  0.10 csys =  2.19 CPU)
+ Package perl-CGI-Application-Plugin-Session-1.03-1.fc12.noarch  =>
Provides: perl(CGI::Application::Plugin::Session) = 1.03
Requires: perl(CGI::Application) >= 3.21 perl(CGI::Session) perl(Carp) perl(Exporter) perl(File::Spec) perl(Scalar::Util) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-06-23 03:08:32 EDT
Thanks, Parag!
Requesting cvs.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-Session
Short Description: Add CGI::Session support to CGI::Application
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-23 13:33:45 EDT
CVS done.
Comment 4 Fedora Update System 2009-06-23 19:48:46 EDT
perl-CGI-Application-Plugin-Session-1.03-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Session-1.03-1.fc11
Comment 5 Fedora Update System 2009-06-26 22:58:10 EDT
perl-CGI-Application-Plugin-Session-1.03-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-Session'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7023
Comment 6 Fedora Update System 2009-06-30 17:27:01 EDT
perl-CGI-Application-Plugin-Session-1.03-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.